reiserfsprogs (1:3.6.27-4build2) hirsute; urgency=medium

  * Rebuild again so s390x pick up the right debhelper

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2021 16:32:07 +0100

reiserfsprogs (1:3.6.27-4build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:09 +0100

reiserfsprogs (1:3.6.27-4) unstable; urgency=medium

  * Update to debhelper compat level 13.
  * Bump Standards-Version to 4.5.0.
  * Build without libreiserfscore. And don't install any related files.
    Probable there will never be any user of it. (Closes: #968491)
  * Install debugfs.reiserfs and tunefs.reiserfs symlinks.
  * Use "which" to check for update-initramfs in postinst. This fixes a
    lintian warning.

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 16 Aug 2020 15:38:26 +0200

reiserfsprogs (1:3.6.27-3) unstable; urgency=medium

  * Add patch to fix build with newer glibc. (Closes: #916166) 
  * Remove "-std=gnu90" from CFLAGS. Not needed anymore.
  * Update to policy 4.2.1.

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 12 Dec 2018 09:42:18 +0100

reiserfsprogs (1:3.6.27-2) unstable; urgency=medium

  * Clear dependency_libs field in .la files.
  * Set Architecture to linux-any.
  * Update to policy 4.1.2.
  * Really remove the obsolete initramfs hook in /etc.
    (Closes: #883779)
  * Update to debhelper compat level 11.

 -- Felix Zielcke <fzielcke@z-51.de>  Mon, 18 Dec 2017 13:58:51 +0100

reiserfsprogs (1:3.6.27-1) unstable; urgency=medium

  * New upstream release.
  * Update to policy 4.1.1. 
  * Drop unnecassary build dependency on dh-autoreconf.

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 28 Nov 2017 09:29:15 +0100

reiserfsprogs (1:3.6.25-7) unstable; urgency=medium

  * Suggest fdisk | util-linux (<< 2.29.2-3~) (Closes: #872209)
  * Update to policy 4.0.1.

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 15 Aug 2017 16:14:08 +0200

reiserfsprogs (1:3.6.25-6) unstable; urgency=medium

  * Remove old initramfs hook from /etc. (Closes: #866229)
  * Update to policy 4.0.0.
  * Update to debhelper compat level 10.

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 28 Jun 2017 18:21:14 +0200

reiserfsprogs (1:3.6.25-5) unstable; urgency=medium

  * Update watch file to use https instead of ftp.
  * Install initramfs hook in /usr/share/innitramfs-tools/hooks instead
    of /etc (LP: #1685307).

 -- Felix Zielcke <fzielcke@z-51.de>  Mon, 01 May 2017 13:28:20 +0200

reiserfsprogs (1:3.6.25-4) unstable; urgency=medium

  * Add mkreiserfs-udeb to dh_makeshlibs call.

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 08 Jun 2016 16:35:17 +0200

reiserfsprogs (1:3.6.25-3) unstable; urgency=medium

  * Manually set the dependencies on the udebs to really fix #826692 and
    #826691.

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 08 Jun 2016 16:16:46 +0200

reiserfsprogs (1:3.6.25-2) unstable; urgency=medium

  * Install libreiserfscore in the udebs. (Closes: #826692, #826691)

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 08 Jun 2016 12:18:24 +0200

reiserfsprogs (1:3.6.25-1) unstable; urgency=medium

  * Ack NMU.
  * New upstream release
  * patches/00_escape_dashes_in_manpages.diff: Remove. Fixed upstream.
  * patches/reiserfsck.8_ffix.diff: Remove. Fixed upstream.
  * Add build dependency on comerr-dev and libacl1-dev.

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 07 Jun 2016 16:32:20 +0200

reiserfsprogs (1:3.6.24-3.1) unstable; urgency=medium

  * NMU
  * Add a postinst to update the initramfs on install/upgrade.
    (Closes: #804247)

 -- Steve McIntyre <93sam@debian.org>  Fri, 06 Nov 2015 16:25:42 +0000

reiserfsprogs (1:3.6.24-3) unstable; urgency=medium

  * Add hook script to copy /sbin/reiserfsck into initramfs.
    (Closes: #791489)

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 16 Aug 2015 16:49:43 +0200

reiserfsprogs (1:3.6.24-2) unstable; urgency=medium

  * Rewrite rules to use dh command for building.
  * Use dh-autoreconf to update all auto genereated files.
  * Add patch reiserfsck.8_ffix.diff by David Prévot to fix a little
    glitch in the reiserfsck man page. (Closes: 733764)
  * Set C mode for compilation to gnu90 to let it compile with gcc 5.
    (Closes: #778105)
  * Make the reiserfsprogs udeb depend on mkreiserfs udeb. Patch by
    Frans Pop. (Closes: #567866)
  * Update to policy 3.9.6. No changes required.

 -- Felix Zielcke <fzielcke@z-51.de>  Sat, 04 Jan 2014 17:25:56 +0100

reiserfsprogs (1:3.6.24-1) unstable; urgency=low

  * New upstream version.
  * Convert to Source Format 3.0 (quilt).
  * Remove DMUA field.
  * Add a ${misc:Depends} dependency.
  * Drop build dependency on cdbs.
  * Use dpkg-buildflags for hardened build flags.
  * Update to policy 3.9.5.
  * Update watch file.
  * Use dh_autotools-dev_updateconfig to update config.guess and
    cobfig.sub at build time.
  * Update to debhelper compat level 9.

 -- Felix Zielcke <fzielcke@z-51.de>  Sat, 28 Dec 2013 15:16:43 +0100

reiserfsprogs (1:3.6.21-1) unstable; urgency=low

  * New maintainer (Closes: #483025)
  * New upstream version.
  * Add a watch file.
  * Bump standards version to 3.8.0.
  * Remove DH_COMPAT from debian/rules and add a debian/compat file and bump
    debhelper compat level and build-dep to 7.
  * Remove homepage from description.
  * Change download url in debian/copyright to the kernel.org one.
  * Add appropriate Copyright holder to debian/copyright.
  * Change license path to GPL-2 in debian/copyright.
  * Add a build dependency on autotools-dev and update config.guess and
    config.sub in the clean target.
  * Add a build dependency on CDBS and use the simple-patchsys.mk
  * Add `-a' to fsck.reiserfs flags if `-y' was given. Patch by Federico Heinz.
    (Closes: #498087)
  * Don't ignore make distclean errors.
  * Replace `pwd` with $(CURDIR) in debian/rules.
  * Remove unneeded lintian overrides.
  * Replace deprecated `dh_clean -k' with `dh_prep'.
  * Remove Priority field from binary packages in debian/control.
  * debian/patches/00_escape_dashes_in_manpagecape.diff: New patch to escape
    dashes in the manpages.

 -- Felix Zielcke <fzielcke@z-51.de>  Fri, 06 Mar 2009 18:32:13 +0100

reiserfsprogs (1:3.6.19-6) unstable; urgency=low

  * Remove linux-kernel-headers from Build-Depends.
  * Merge from Ubuntu:
    - definitively drop inclusion of asm/unaligned.h (Closes: #429006).

 -- Domenico Andreoli <cavok@debian.org>  Tue, 17 Jul 2007 02:26:04 +0200

reiserfsprogs (1:3.6.19-5) unstable; urgency=low

  * Added linux-kernel-headers to Build-Depends (Closes: #429006).

 -- Domenico Andreoli <cavok@debian.org>  Wed, 04 Jul 2007 00:56:48 +0200

reiserfsprogs (1:3.6.19-4ubuntu2) feisty; urgency=low

  * Changed man page for mkreiserfs to note that block sizes other than
    4096 bytes are NOT supported by current kernels

 -- Phillip Susi <psusi@cfl.rr.com>  Wed, 13 Dec 2006 14:23:15 -0500

reiserfsprogs (1:3.6.19-4ubuntu1) feisty; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu change:
    - include/reiserfs_fs.h: Do not #include <asm/unaligned.h>, FTBFS fix.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 Oct 2006 10:45:35 +0100

reiserfsprogs (1:3.6.19-4) unstable; urgency=low

  * fsck.reiserfs is now a script invoking reiserfsck -q (Closes: #385155).

 -- Domenico Andreoli <cavok@debian.org>  Thu, 28 Sep 2006 13:08:24 +0200

reiserfsprogs (1:3.6.19-3ubuntu1) edgy; urgency=low

  * include/reiserfs_fs.h: Do not #include <asm/unaligned.h>. It does not
    exist any more and should not be necessary on our architectures. Instead
    define {get,put}_aligned macros as naive macros. Fixes FTBFS.
    (LP: #65842)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Oct 2006 14:41:06 +0200

reiserfsprogs (1:3.6.19-3) unstable; urgency=low

  * Fixed typos in man pages (Closes: #371849, #371850, #371851, #371852).

 -- Domenico Andreoli <cavok@debian.org>  Fri, 30 Jun 2006 12:29:49 +0200

reiserfsprogs (1:3.6.19-2) unstable; urgency=low

  * Fixed typo in reiserfstune's manpage (Closes: #309512).
  * Removed obsolete NOTE in reiserfsprogs' package description
    (Closes: #249204).
  * Applied patch to make reiserfsck display volume labels (Closes: #345948).
  * Updated HTML man pages from upstream site. attrs mount option is
    now documented in mount-options.html (Closes: #270006).

 -- Domenico Andreoli <cavok@debian.org>  Wed,  1 Mar 2006 18:08:55 +0100

reiserfsprogs (1:3.6.19-1) unstable; urgency=low

  * New upstream release:
    - fixed error message for invalid device (Closes: #266648).

 -- Domenico Andreoli <cavok@debian.org>  Fri, 15 Oct 2004 13:43:08 +0200

reiserfsprogs (1:3.6.18-4) unstable; urgency=low

  * Uses debhelper to build udebs. Cleaned and updated the build process.

 -- Domenico Andreoli <cavok@debian.org>  Fri,  3 Sep 2004 18:48:12 +0200

reiserfsprogs (1:3.6.18-3) unstable; urgency=low

  * Changed header used to guess the architecture for hack applied in -2.

 -- Domenico Andreoli <cavok@debian.org>  Sun,  8 Aug 2004 21:57:52 +0200

reiserfsprogs (1:3.6.18-2) unstable; urgency=low

  * Applied hack to build also on powerpc with broken linux-kernel-headers.

 -- Domenico Andreoli <cavok@debian.org>  Sun,  8 Aug 2004 14:44:30 +0200

reiserfsprogs (1:3.6.18-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  3 Aug 2004 19:29:12 +0200

reiserfsprogs (1:3.6.17-2) unstable; urgency=low

  * Added build dependency on uuid-dev (Closes: #254480).

 -- Domenico Andreoli <cavok@debian.org>  Tue, 15 Jun 2004 10:27:59 +0200

reiserfsprogs (1:3.6.17-1) unstable; urgency=low

  * New upstream release.
  * Updated and fixed debian/copyright (Closes: #246687).

 -- Domenico Andreoli <cavok@debian.org>  Fri, 14 May 2004 12:57:41 +0200

reiserfsprogs (1:3.6.14-3) unstable; urgency=low

  * Removed postinst and prerm, used to manage hard links to mkreiserfs
    and reiserfsck.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 20 Apr 2004 11:31:44 +0200

reiserfsprogs (1:3.6.14-2) unstable; urgency=low

  * Hard links to /sbin/mkreiserfs and /sbin/reiserfsck are now also
    in the reiserfsprogs package (Closes: #244761).

 -- Domenico Andreoli <cavok@debian.org>  Tue, 20 Apr 2004 00:46:01 +0200

reiserfsprogs (1:3.6.14-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 19 Mar 2004 11:26:55 +0100

reiserfsprogs (1:3.6.13-1) unstable; urgency=low

  * New upstream release:
    - should fix checking of read-only filesystems (Closes: #233219)

 -- Domenico Andreoli <cavok@debian.org>  Wed, 18 Feb 2004 00:49:23 +0100

reiserfsprogs (1:3.6.12-1) unstable; urgency=low

  * New upstream release:
    - fixed some non-4k-block-size issues (Closes: #212517)
  * Added new uploader (me)
  * reiserfsck is now built statically to work around known bug
    (Closes: #230482)

 -- Domenico Andreoli <cavok@debian.org>  Sat, 14 Feb 2004 16:40:39 +0100

reiserfsprogs (1:3.6.11-1.1) unstable; urgency=low

  * NMU with Ed's permission.
  * Applied patch from "Straightening out ioctl() size confusion"
    discussion (closes: #219627).
  * Fixed interactive invocation of mkreiserfs by d-i (Closes: #213314).

 -- Domenico Andreoli <cavok@debian.org>  Mon, 22 Dec 2003 15:13:54 +0100

reiserfsprogs (1:3.6.11-1) unstable; urgency=low

  * New upstream release (Closes: #204288)
  * Build .udeb packages for debian-installer (Closes: #203002)
  * Superblock check behavior seems to be fixed upstream
  * -y option incorporated upstream

 -- Ed Boraas <ed@debian.org>  Tue, 12 Aug 2003 21:40:35 -0600

reiserfsprogs (1:3.6.6-3) unstable; urgency=low

  * Fix typo in superblock fix

 -- Ed Boraas <ed@debian.org>  Wed, 30 Apr 2003 11:01:23 -0600

reiserfsprogs (1:3.6.6-2) unstable; urgency=low

  * Do not check superblock journal parameters unless
    they're expected to be correct (Closes: #191050)

 -- Ed Boraas <ed@debian.org>  Wed, 30 Apr 2003 06:51:26 -0600

reiserfsprogs (1:3.6.6-1) unstable; urgency=low

  * New upstream release (Closes: #187611)
  * Upstream now includes a "proper" replacement for
    David Kimdon's patches
  * Update HTML "man" pages

 -- Ed Boraas <ed@debian.org>  Fri, 25 Apr 2003 22:55:17 -0600

reiserfsprogs (1:3.6.4-5) unstable; urgency=low

  * Include upstream README
  * Output sponsorship message once again, if
    mkreiserfs is invoked without --quiet
  * Refer to licensing clarifications from 'copyright'
  * -V exits returning 0 (Closes: #183868)

 -- Ed Boraas <ed@debian.org>  Wed, 23 Apr 2003 16:16:16 -0600

reiserfsprogs (1:3.6.4-4) unstable; urgency=low

  * Rebuild as non-native package (oops)
    (Closes: #185723)

 -- Ed Boraas <ed@debian.org>  Sat, 22 Mar 2003 16:29:14 -0700

reiserfsprogs (1:3.6.4-3) unstable; urgency=low

  * Add -y option [Thanks, Tommy Pettersson!]
    (Closes: #130075)

 -- Ed Boraas <ed@debian.org>  Sun, 16 Mar 2003 11:21:03 -0700

reiserfsprogs (1:3.6.4-2) unstable; urgency=low

  * Apply patches from David Kimdon to allow build on
    hppa and sparc -- thanks, David!
    (Closes: #170619)
  * Remove over-verbose startup warning in reiserfsck
    (Closes: #171121)
  * Adjust reiserfsck banner to fit on one line, instead of
    three (Closes: #119033)
  * mkreiserfs advertising removed
    (Closes: #152547)
  * Build as non-native package (oops)
  * Update to policy 3.5.8
  * Refer to /usr/share/common-licenses in debian/copyright

 -- Ed Boraas <ed@debian.org>  Mon, 6 Jan 2003 19:31:47 -0700

reiserfsprogs (1:3.6.4-1) unstable; urgency=low

  * New upstream release
    - Corruption on cancelled reiserfsck reported fixed
      (Closes: #155241)

 -- Ed Boraas <ed@debian.org>  Tue, 19 Nov 2002 07:10:14 -0700

reiserfsprogs (1:3.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #159861)

 -- Ed Boraas <ed@debian.org>  Sun, 8 Sep 2002 15:20:51 -0600

reiserfsprogs (1:3.6.2-1) unstable; urgency=low

  * New upstream release (Closes: #153709)
  * Included many more html docs from the ReiserFS website
  * New (saner) version numbering scheme requires an epoch

 -- Ed Boraas <ed@debian.org>  Mon, 29 Jul 2002 07:18:54 -0600

reiserfsprogs (3.x.1b-1) unstable; urgency=low

  * New upstream release (Closes: #139315)
  * Last version built fine on ia64, assuming this one will as well
    (Closes: #124121)
  * Make reiserfsck -y do nothing (upstream explicitly ignores -y)
    (Closes: #140014)

 -- Ed Boraas <ed@debian.org>  Sat, 23 Mar 2002 15:00:37 -0700

reiserfsprogs (3.x.1a-2) unstable; urgency=high

  * Reinstate mkreiserfs options "-v" and "-q" (Closes: #137755)
    - Urgency=high because this bug breaks boot floppies

 -- Ed Boraas <ed@debian.org>  Sun, 10 Mar 2002 15:10:56 -0700

reiserfsprogs (3.x.1a-1) unstable; urgency=medium

  * New upstream release (Closes: #128512)
    - Appears not to suffer from spurious 'device to small' errors
      (Closes: #110902)
    - Verified able to create filesystems on loopbacks >= 2GB
      (Closes: #120966)
    - reiserfsck is much more robust in error-handling (Closes: #122230)
    - mkreiserfs correctly makes filesystems in files, when forced
      to do so (Closes: #128801)
    - New reiserfsck is clear about when to use options other than
      --check (Closes: #128803)
    - user_confirmed() calls fixed in mkreiserfs.c to account for
      newlines (Closes: #130149)

 -- Ed Boraas <ed@debian.org>  Sat, 9 Feb 2002 13:48:17 -0700

reiserfsprogs (3.x.0j-7) unstable; urgency=low

  * Set "Architecture: any" (Closes: #114824)

 -- Ed Boraas <ed@debian.org>  Tue, 9 Oct 2001 06:40:42 -0600

reiserfsprogs (3.x.0j-6) unstable; urgency=low

  * reiserfsck now recorgnizes (and ignores) a "-f" option
    as in 3.x.0k-pre (Closes: #96397)

 -- Ed Boraas <ed@debian.org>  Mon, 30 Jul 2001 21:23:11 -0600

reiserfsprogs (3.x.0j-5) unstable; urgency=low

  * Fix typo in resize_reiserfs(8) manpage (Closes: #106972)

 -- Ed Boraas <ed@debian.org>  Mon, 30 Jul 2001 20:47:54 -0600

reiserfsprogs (3.x.0j-4) unstable; urgency=low

  * Restrict arch to i386/alpha, as no other ports
    have kernel support for ReiserFS (Closes: #103792)

 -- Ed Boraas <ed@debian.org>  Wed, 11 Jul 2001 20:13:19 -0600

reiserfsprogs (3.x.0j-3) unstable; urgency=low

  * Included fs.html and mount-options.html documents from
    the ReiserFS website (Closes: #97706)

 -- Ed Boraas <ed@debian.org>  Tue, 19 Jun 2001 16:51:34 -0600

reiserfsprogs (3.x.0j-2) unstable; urgency=low

  * Include information on creating 2.2-mountable (ReiserFS
    3.5) filesystems in the README.Debian (Closes: #95990)
  * Happy May Day!

 -- Ed Boraas <ed@debian.org>  Tue, 1 May 2001 23:10:40 -0600

reiserfsprogs (3.x.0j-1) unstable; urgency=low

  * New upstream release

 -- Ed Boraas <ed@debian.org>  Wed, 4 Apr 2001 18:44:14 -0600

reiserfsprogs (3.x.0h-3) unstable; urgency=low

  * Added support for double-force on mkreiserfs, for boot
    floppies (Closes: #90163)

 -- Ed Boraas <ed@debian.org>  Tue, 27 Mar 2001 18:29:15 -0700

reiserfsprogs (3.x.0h-2) unstable; urgency=low

  * Updated to policy v3.5.2
  * Included Build-Depends (Closes: #90439)

 -- Ed Boraas <ed@debian.org>  Tue, 20 Mar 2001 06:34:10 -0700

reiserfsprogs (3.x.0h-1) unstable; urgency=low

  * New upstream release

 -- Ed Boraas <ed@debian.org>  Tue, 13 Mar 2001 15:33:48 -0700

reiserfsprogs (3.x.0d-3) unstable; urgency=low

  * '-y' now does nothing, instead of forcing a check on each boot

 -- Ed Boraas <ed@debian.org>  Tue, 13 Mar 2001 15:06:41 -0700

reiserfsprogs (3.x.0d-2) unstable; urgency=low

  * Basic support for -y option in reiserfsck, based on patch submitted
    by Eduard Bloch <blade@debian.org> (Closes: #87215)

 -- Ed Boraas <ed@debian.org>  Tue, 6 Mar 2001 06:15:23 -0700

reiserfsprogs (3.x.0d-1) unstable; urgency=low

  * New upstream release
  * Last of Alpha problems (should be) fixed (Closes: #83941)
  * Upstream now includes manpages (Closes: #74650)

 -- Ed Boraas <ed@debian.org>  Sun, 25 Feb 2001 11:52:47 -0700

reiserfsprogs (3.x.0a-2) unstable; urgency=low

  * lib/misc.c now #includes io.h; I assume this (Closes: #76008)
  * lib/misc.c again #includes sys/mount.h (Not yet folded upstream)
  * Updated README.Debian and package info to reflect the fact that Linux
    2.4.1 and up have built-in reiserfs support.

 -- Ed Boraas <ed@debian.org>  Fri, 09 Feb 2001 18:35:14 -0700

reiserfsprogs (3.x.0a-1) unstable; urgency=low

  * New upstream release
  * Updated to policy version 3.2.1

 -- Ed Boraas <ed@debian.org>  Sun, 21 Jan 2001 20:18:34 -0700

reiserfsprogs (3.0.20001019-3) unstable; urgency=low

  * Paper-bag bugfix: shebang missing from postinst
  * Added prerm script to clean up after postinst
  * postinst will no longer bail if the hardlinks already exist

 -- Ed Boraas <ed@debian.org>  Mon, 30 Oct 2000 19:56:23 -0700

reiserfsprogs (3.0.20001019-2) unstable; urgency=low

  * Added LDFLAGS = -lm  in fsck/ for x-platform compliance (Closes: #74943)
  * Now installs to /sbin instead of /usr/sbin
  * lib/misc.c '#include's <sys/mount.h> (Closes: #74833)
  * Created mkfs.reiserfs and fsck.reiserfs hardlinks (Closes: #59833)

 -- Ed Boraas <ed@debian.org>  Sat, 28 Oct 2000 15:24:54 -0600

reiserfsprogs (3.0.20001019-1) unstable; urgency=low

  * New upstream snapshot

 -- Ed Boraas <ed@debian.org>  Thu, 19 Oct 2000 17:16:26 -0600

reiserfsprogs (3.0.20001007-1) unstable; urgency=low

  * New upstream release
  * Version number updated to reflect snapshot date, as upstream
    is not versioning new releases

 -- Ed Boraas <ed@debian.org>  Sat, 8 Oct 2000 00:17:37 -0600

reiserfsprogs (3.0-1) unstable; urgency=low

  * Initial Release.

 -- Ed Boraas <ed@debian.org>  Sat, 30 Sep 2000 18:41:46 -0600
